ALLEGRO_JOYSTICK_STATE(3)

NAME

ALLEGRO_JOYSTICK_STATE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_JOYSTICK_STATE ALLEGRO_JOYSTICK_STATE;

DESCRIPTION

This is a structure that is used to hold a "snapshot" of a joystick's axes and buttons at a particular instant. All fields public and read-only.

    struct {
       float axis[num_axes];             // -1.0 to 1.0
    } stick[num_sticks];
    int button[num_buttons];             // 0 to 32767

SEE ALSO

al_get_joystick_state(3)